#!/usr/bin/python -O
#coding: utf8;
#
#This is a router to SPyRO, whilst the native apache SPyRO is missing 


import sys,os
import httplib

SPyRO_ADDRESS = ('127.0.0.1',8000)
SPyRO_LOCATION = "/spyro?XMLRPC"
USE_HTTPS = False

if USE_HTTPS:
    http = httplib.HTTPSConnection(SPyRO_ADDRESS[0],SPyRO_ADDRESS[1])
else:
    http = httplib.HTTPConnection(SPyRO_ADDRESS[0],SPyRO_ADDRESS[1])
http.putrequest('POST',SPyRO_LOCATION,skip_host=1)
try:
    length = os.environ['CONTENT_LENGTH']
    data = sys.stdin.read(int(length))
except KeyError:
    data = sys.stdin.read()
http.putheader('Content-Length', len(data))
try:
    content_type = os.environ['CONTENT_TYPE']
except KeyError:
    content_type = 'application/xml'
http.putheader('Content-Type', content_type)
http.endheaders()
http.send(data)
resp = http.getresponse()
content = resp.read()
resp.close()
http.close()

try:
    import gzip
    import cStringIO
    os.environ['HTTP_ACCEPT_ENCODING'].index("gzip")
    string = cStringIO.StringIO()
    gzfile = gzip.GzipFile(filename=None, mode="wb", fileobj = string)
    gzfile.write(content)
    gzfile.flush()
    gzfile.close()
    stringdata = string.getvalue()
    longitud = len(stringdata)
    sys.stdout.write("Content-Encoding: gzip\r\nContent-Length: %s\r\nContent-Type: application/xml\r\n\r\n%s"%(longitud,stringdata))
except (ValueError, KeyError), err:
    longitud = len(content)
    sys.stdout.write("Content-Length: %s\r\nContent-Type: application/xml\r\n\r\n%s"%(longitud,content))
    
sys.stdout.flush()   


