#coding: utf8;

import auth3k
import auth3k.authweb as authweb
_spyro_authentication = authweb.Auth()
_spyro_authentication.permsobject['Guigo.gui_Guigo'] = [[],['admin'],[]]

# Note: In module objects the object name must be the name of the object. If an authobject is
# manages many objects, there may exists many object names

# For method level management
# _spyro_authentication.perms['methodname'] = [[],['admin'],[]]

# Gets automatically the connection because is already charged
import re
import warn
import db3k
import appconfig
import template3k
import SPyRO as spyro

import Guigo

#######################################
#######################################
#############
############  INDEX
#############
#######################################
#######################################
def index(**kwargs):
    objname = 'Guigo.gui_Guigo'
    title = 'Guigo.Gui_Guigo'
    temp = template3k.get_template(appconfig.template_admin)
    return temp.merge(PageTitle=objname.title(),
                      Menu='''<td><a href="/">%s</a></td>'''%objname.title(),
                      JavascriptInit='''callto({'handler':Show},'Guigo.gui_Guigo','showpage')''',
                      DevelQuote='',
                      Title='Module ' + title,
                      Content=''
                      )

def showpage(**kwargs):
    objname = 'Guigo.gui_Guigo'
    res = []
    for xform in ['generate_from_object']:
        res.append([xform.title(),
                    """<a href="javascript: callto({'showresults': DOM3K_createFrame}, '%(objname)s', 'form_%(xform)s'); void(0);">%(xform)s</a>"""%locals(),
                    xform])
    return res


def form_generate_from_object():
    tabname = 'generate_from_object'
    objname = 'Guigo.gui_Guigo'
    dictdefault = {'' : 'Send','obj' : '','objname' : ''} # dictionary
    dictdefault['__onsubmit__'] = r"callto({'showresults': DOM3K_createFrame},'%(objname)s','exec_%(tabname)s',null,Easyform_formToDict(this));"%locals()
    # auth = spyro.getrequest()['auth']
    # assert _spyro_authentication._rawauth(auth,  objname, preview_generate_from_object)
    res = """
            <strong>Generate From Object</strong>
            <form method="POST" enctype="multipart/form-data" id="generate_from_object" action="javascript: void(0);" onsubmit="%(__onsubmit__)s" name="generate_from_object" >
                <table><tbody>
            <tr><td>Objname: </td><td><input name="objname:string:mandatory" type="text" value="%(objname)s" size="40" /></td></tr>
<tr><td><input type="submit" name=":submit" value="%()s" /></td></tr>
                </tbody></table>
            </form>
            """%dictdefault
    return res

def exec_generate_from_object(**kwargs):
    tabname = 'generate_from_object'
    objname = 'Guigo.gui_Guigo'
    # auth = spyro.getrequest()['auth']
    # assert _spyro_authentication._rawauth(auth,  objname, preview_generate_from_object)
    return Guigo.generate_from_object(**kwargs)

