#coding: iso-8859-1;
############################################################################
#                                                                          #
#    This file '__init__.py'                                               #
#    is part of 'SPyRO: Simple Python Remote Objects'                      #
#    Copyright (C) 2004-2005 by Eric Sadit Tellez Avila                    #
#    Copyright (C) 2005-2006 by Eric Sadit Tellez Avila                    #
#    Copyright (C) 2007 by Eric Sadit Tellez Avila                         #
#    Copyright (C) 2008 by Eric Sadit Tellez Avila                         #
#    sadit@lsc.fie.umich.mx or donsadit@gmail.com                          #
#                                                                          #
#    is part of 'Dweba: Distributed Web Application Framework (for Python)'#
#    Copyright (C) 2008      by Eric Sadit Tellez Avila                    #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################

#__all__ = [ "SPyRO" ]

from SPyRO import *
import types
import sys
__types = sys.modules['types']
__built = sys.modules['__builtin__']

def _set_booleans():
    __types.BooleanType = types.IntType
    __built['True'] = 1
    __built['False'] = 0

try:
    __BooleanType = types.BooleanType
    True
except:
    warn.warn("An old version of python or jython was detected")
    _set_booleans()

