__doc__ = ("""This will be an object to manage issues about mail """
           """clients and servers. """)

import smtplib
import appconfig

import auth3k
import auth3k.authweb as authweb
from shttp import http
import SPyRO  as spyro
_spyro_authentication = authweb.Auth()
# To set permisions to the global module or object, uncomment the following
# [ [allowed users list], [ allowed groups list], [ denied user list] ]
_spyro_authentication.permsobject['packadmin'] = [[],['admin'],[]]
# Note: In module objects the object name must be the name of the object. If an authobject is
# manages many objects, there may exists many object names

# For method level management
_spyro_authentication.perms['only_admin'] = [[],['admin'],[]]
_spyro_authentication.perms['only_valid'] = None

def _sendmail(frommail,tomail,subject,data):
    """ Sends mail"""
    s = smtplib.SMTP(appconfig.smtp_server)
    s.sendmail(frommail,tomail,"From: %s\r\nSubject: %s\r\n\r\n%s"%(frommail, subject, data))
    s.quit()
