#coding: utf8;
import re
import warn
import forum
import appconfig
import template3k
from shttp import http
templatepool = template3k.Pool()

def makehtml(template=appconfig.template_index,**kwargs):
    template = templatepool.get_template(template)
    return template.merge(kwargs)


def index(*args,**kwargs):
    # mergelibraries = {'DemosPage': ''}
    mergelibraries = {}
    return makehtml(Title="Libraries and Frameworks",
                    Content=templatepool.get_template("templates/libraries.html").merge(mergelibraries),
                    Comments=forum.list_messages())

def services(*args,**kwargs):
    return makehtml(Title="Our Services",
                    Content=templatepool.get_template("templates/services.html").merge({}),
                    Comments=forum.list_messages())


def contact(*args,**kwargs):
    return makehtml(Title="Contact Us",
                    Content=("""If you need our services or you need help about our """
                             """open source projects please contact us."""
                             """<div id="ContactForm">"""
                             """<p>Please fill the form</p>"""
                             """%s</div>"""%forum.form(0,"Contact",idform="ContactFormX""",
                             onsubmit="var d=DOM3K_formToDict(this); callto({'showresults' : function(f) { DOM3K_createFrame(f); DOM3K_updateElement('Message Sent','ContactForm');} },'forum','save_contact',null,d);")),
                    Comments='',
                    CommentsTitle='')

def about(*args,**kwargs):
    return makehtml(Title="About Us",
                    Content=("""<table><tr><td><img src="/images/monkey.gif" /></td>"""
                             """<td>"""
                             "<p>"
                             """We are a group of developers trying to contribute to the open source community """
                             """with high quality software, and of course, live of this. """
                             """As many of you know, this is not an easy task."""
                             "</p><p>"
                             """We are a cartoon maker newbies """
                             """(Just trying to make fun the work!), and we put our cartoons in all our pages. """
                             """We are trying to create a weekly cartoon based on some our characters. """
                             """Web apologies if you think that some of them are offensive or maybe only stupid. We are """
                             """developers keeping out the strees. """
                             "</p>"
                             """</td></tr></table>"""))

def demos(*args,**kwargs):
    return makehtml(Title="Online Demos and Software",
                    Content=templatepool.get_template("templates/demos.html").merge({}),
                    Comments=forum.list_messages())

def _redirect(msg, url):
    raise http.CustomResponse(msg, headers={'Location': url}, status=302)
