import warn
import random

try:
    import crypt
    def _cryptpassword_crypt(password,username,salt=None,cryptmethod=None):
        if salt is None:
            salt = str(random.randint(100,1000))
        return crypt.crypt(password + username, salt)
except ImportError:
    pass

import md5

def _cryptpassword_md5(password,username,salt=None,cryptmethod=None):
    if salt is None:
        salt = "%03d"%(random.randint(100,999))
    else:
        salt = salt[:3]
    return salt + md5.md5(salt + password + username).hexdigest()
