-- Create the forum
CREATE TABLE forum (
  id integer primary key, -- auto_increment for sqlite
  parentid integer default 0,
  replytoid integer default 0,
  dest varchar(64) DEFAULT NULL,
  name varchar(64) NOT NULL,
  email varchar(64) DEFAULT NULL,
  subject varchar(64) DEFAULT NULL,
  postdate timestamp NOT NULL default CURRENT_TIMESTAMP,
  reviewed integer default 0,
  comment text NOT NULL
);

CREATE INDEX forum_id ON forum(id);
CREATE INDEX forum_parentid ON forum(parentid);
CREATE INDEX forum_replytoid ON forum(replytoid);
CREATE INDEX forum_postdate ON forum(postdate);

