-- This database is designed to sqlite3
-- id integer primary key it's an auto increment field
CREATE TABLE admin_guigo_project
(
	id integer primary key,
	objname char(24) unique not null,
	objpath char(64),
	dbname char(24),
	dbhost char(32),
	dbuser char(24),
	dbpass char(16),
	dbmanager char(20),
	dbschema char(20),
	tempobject char(64) default 'templates/newobject.py',
	tempform char(64) default 'templates/newtable.py',
	language char(3) default 'en'
);

CREATE TABLE admin_guigo
(
	id integer primary key,
	objname char(24) not null,
	form char(24) not null,
	foreigntable char(24) default null, -- the foreign table
	foreignfield char(24) default null, -- the foreign field
	name char(24),
	type_code char(24),
	play_size char(24),
	internal_size char(24),
	precision char(24),
	scale char(24),
	null_ok integer,
	ui_ok integer,
	unique(objname,form,name)
);

CREATE INDEX admguigoform ON admin_guigo(form);
CREATE INDEX admguigoproj ON admin_guigo(objname);
