
create table admin_locale (
       name varchar(20) not null,
       translation varchar(20) not null,
       objname varchar(16) not null,
       encoding varchar(8),
       locale varchar(8),
       unique(name, objname, locale)
);

-- we want to retrieve in sets
create index locale_locale on admin_locale(locale);
create index locale_objname on admin_locale(objname);
